<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.citygis.web.mapper.TabFileInfoMapper">

    <select id="getTabFileInfoList" resultType="com.citygis.web.domain.TabFileInfo"
            parameterType="com.citygis.web.domain.TabFileInfo">
        select
        "FILE_ID","FILE_NAME","FILE_PATH","STATUS","CREATE_BY","CREATE_TIME","UPDATE_BY","UPDATE_TIME","USER_ID","DEPT_ID","IS_DEL",
        "SYSTEM_TYPE",
        "OUTSIDE_ID"
        from "LIU_TONG_YI"."TAB_FILE_INFO" tfi
        where IS_DEL = 0

        <if test="fileName != null">
            and FILE_NAME like concat ('%',#{fileName},'%')
        </if>
        <if test="status != null">
            and STATUS = #{status}
        </if>
        <if test="outsideId != null">
            and OUTSIDE_ID = #{outsideId}
        </if>
        <if test="systemType != null">
            and SYSTEM_TYPE = #{systemType}
        </if>
        ${params.dataScope}
    </select>

</mapper>
